Summary:	The GNU Privacy Assistant
Name:		gpa
Version:	0.7.0
Release:	%mkrel 5
License:	GPL
URL:		http://www.gnupg.org/related_software/gpa/
Group:		File tools
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

Source0:	ftp://ftp.gnupg.org/gcrypt/alpha/%{name}/%{name}-%{version}.tar.gz
Source1:	%{SOURCE0}.sig
Source10:	%{name}-32.png
Source11:	%{name}-16.png

BuildRequires:	gnupg
BuildRequires:	gpgme-devel >= 0.4.3
BuildRequires:	gtk+2-devel
Requires:	gnupg

%description
The GNU Privacy Assistant is a graphical user interface for the
GNU Privacy Guard (GnuPG). GnuPG is a system that provides you with
privacy by encrypting emails or other documents and with
authentication of received files by signature management.

Install this package if you want to have an easy interface for GnuPG.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -fr %{buildroot}

%makeinstall_std

# menu entry
mkdir -p %buildroot%{_datadir}/applications/
cat << EOF > %buildroot%{_datadir}/applications/mandriva-%{name}.desktop
[Desktop Entry]
Encoding=UTF-8
Type=Application
Exec=%{_bindir}/gpa 
Icon=%{name}.png 
Name=GNU Privacy Assistant 
Comment=Graphical User Interface for GnuPG 
Categories=Utility;System;
EOF

# icons
install -D -m 0644 gpa-logo-48x48.png %{buildroot}%{_liconsdir}/%{name}.png
install -D -m 0644 %{SOURCE10}        %{buildroot}%{_iconsdir}/%{name}.png
install -D -m 0644 %{SOURCE11}        %{buildroot}%{_miconsdir}/%{name}.png

%find_lang %{name}

%post
%update_menus
 
%postun
%clean_menus

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README README-alpha THANKS TODO
%{_bindir}/*
%{_datadir}/gpa

%{_datadir}/applications/mandriva-*.desktop
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png



%changelog
* Tue Aug 28 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.7.0-5mdv2008.0
+ Revision: 72269
- convert menu to XDG
- use %%mkrel


* Wed Apr 20 2005 Lenny Cartier <lenny@mandriva.com> 0.7.0-3mdk
- rebuild

* Wed Feb 11 2004 David Baudens <baudens@mandrakesoft.com> 0.7.0-2mdk
- Fix menu

* Sat Jan 24 2004 Abel Cheung <deaddog@deaddog.org> 0.7.0-1mdk
- 0.7.0
- Use bundled 48 icon, and hand-made 32/16 icons, as this icon is
  uncomprehensible in smaller sizes

* Thu Jan 16 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.4.3-2mdk
- rebuild

* Tue Jan 15 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.4.3-1mdk
- 0.4.3

* Wed Dec 26 2001 David BAUDENS <baudens@mandrakesoft.com> 0.4.2-2mdk
- Use default file tools icon for menu entry
- Add missing files

* Mon Dec 03 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4.2-1mdk
- 0.4.2

* Thu Nov 08 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4.1-3mdk
- rebuild

* Sun Apr 08 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.4.1-2mdk
- %%find_lang to get locales.
- Don't make /usr/share belong to the package.

* Sun Apr 08 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.4.1-1mdk
- Back in contribs built with a new and shiny source.
- s/I/j/ for the tar command during build.

* Mon Oct 02 2000 Daouda Lo <daouda@mandrakesoft.com> 0.3.1-6mdk
- add icons to menuentry

* Wed Sep 27 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.3.1-5mdk
- fix menu entry

* Fri Sep 01 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.3.1-4mdk
- added %%lang

* Wed Aug 02 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.3.1-3mdk
- add menu

* Wed Aug 02 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.3.1-2mdk
- fix requires

* Wed Jul 26 2000 Alexander Skwar <> 0.3.1-1mdk
- First Mandrake package

